Skip to main content

Delete All Data Errors for a Dataset

Delete all data errors (issues) associated with a specific dataset, identified by its datasetId.

Query Parameters
datasetId string — REQUIRED

Unique identifier of the dataset for which all data errors should be deleted.

limit int64

Possible values: 1 ≤ value ≤ 10

Limit the number dataError returned. (1 to 10, default = 1)

datasetId string

Id of the data issue

limit int32

Possible values: 1 ≤ value ≤ 10

Limit the number dataError returned. (1 to 1000000, default = 10)

Responses
200

All data errors for the specified dataset were deleted successfully.

Schema — OPTIONAL
data object[]
type string — OPTIONAL
topValues object — OPTIONAL
json string — OPTIONAL
version string — OPTIONAL
active boolean — OPTIONAL
assetCreatedDate date-time — OPTIONAL
assetUpdatedDate date-time — OPTIONAL
createdTime int64 — OPTIONAL
updatedTime int64 — OPTIONAL
createdBy string — OPTIONAL
updatedBy string — OPTIONAL
owner string — OPTIONAL
tags string[] — OPTIONAL
id int32 — OPTIONAL
datasetId string — OPTIONAL
colName string — OPTIONAL
colNames string[] — OPTIONAL
lowWatermark int64 — OPTIONAL
highWatermark int64 — OPTIONAL
eventTime int64 — OPTIONAL
errorCode string — OPTIONAL
level string — OPTIONAL

Possible values: [critical, warning, info]

actionTaken string — OPTIONAL

Possible values: [Fixed, Expected, Ack_N_Review, Ignore]

jobId string — OPTIONAL
threadId string — OPTIONAL
jobExecutionId string — OPTIONAL
description string
frequency double — OPTIONAL
paging object — OPTIONAL
before string — OPTIONAL
after string — OPTIONAL
total int32
304

No modification. No data errors were deleted (possibly none found for the dataset).

400

Invalid request parameters.

401

Unauthorized access.

500

Internal server error.